<div data-control="toolbar">
    <a href="<?= Backend::url('ims/shophelper/productvariationscontroller/create') ?>" class="btn btn-primary oc-icon-plus"><?= e(trans('backend::lang.form.create')) ?></a>
    <a href="<?= Backend::url('ims/shophelper/productvariationscontroller/reorder') ?>" class="btn btn-default oc-icon-list"><?= e(trans('backend::lang.reorder.default_title')) ?></a>
    <button
        class="btn btn-default oc-icon-trash-o"
        disabled="disabled"
        onclick="$(this).data('request-data', {
            checked: $('.control-list').listWidget('getChecked')
        })"
        data-request="onDelete"
        data-request-confirm="<?= e(trans('backend::lang.list.delete_selected_confirm')) ?>"
        data-trigger-action="enable"
        data-trigger=".control-list input[type=checkbox]"
        data-trigger-condition="checked"
        data-request-success="$(this).prop('disabled', true)"
        data-stripe-load-indicator>
        <?= e(trans('backend::lang.list.delete_selected')) ?>
    </button>

    <button
        class="btn btn-primary"
        data-request="onExcelExport"
        data-load-indicator="Generating Excel..."
        data-request-success="formSuccess( context, data, textStatus, jqXHR)"
        data-stripe-load-indicator>
        Esporta Excel
    </button>
</div>


<script>
    //Luca: funzione che sul success dell'ajax esegue il download automatico del file
    function formSuccess( context, data, textStatus, jqXHR){
        window.open(data.result, '_blank');
    }
</script>